- Home
- API Enriched
- Sites
- data
- External connector log query.
External connector log query.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/site/example/external_connector/example/logs';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"end_time":"example","external_connector":"example","label_filter":[{"label":"LABEL_NONE","op":"EQ","value":"example"}],"limit":1,"namespace":"example","site":"example","start_time":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data/namespaces/example/site/example/external_connector/example/logs \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "end_time": "example", "external_connector": "example", "label_filter": [ { "label": "LABEL_NONE", "op": "EQ", "value": "example" } ], "limit": 1, "namespace": "example", "site": "example", "start_time": "example" }'Request to GET external connector logs that matches the criteria in request for a given namespace. The logs are per site per external connector is specified as match condition in the request to GET the logs for a external connector.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace GET aggregation data for a given namespace.
Site Site where the K8s Cluster is running.
External connector External connector for which logs has to be fetched.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to GET logs for a external connector.
object
Fetch external connector logs whose timestamp <= end_time format: unix_timestamp|RFC 3339
Optional: If not specified, then the end_time will be evaluated to start_time+10m
If start_time is not specified, then the end_time will be evaluated to
External connector for which logs has to be fetched.
List of label filter expressions of the form “label key” QueryOp “value”. Response will only contain data that matches all the conditions specified in the label_filter. For external connector logs, user can specify LABEL_EXTERNAL_CONNECTOR_IP & LABEL_EXTERNAL_CONNECTOR_NODE in the label_filter
Required: YES.
Label Filter is used to filter th that match the logs specified label key/value and the operator.
object
Value of the label Required: YES.
Limits the number of results.
GET aggregation data for a given namespace.
Site where the K8s Cluster is running.
Fetch external connector logs whose timestamp >= start_time format: unix_timestamp|RFC 3339
Optional: If not specified, then the start_time will be evaluated to end_time-10m
If end_time is not specified, then the start_time will be evaluated to
Responses
Section titled “Responses”A successful response.
Response message for AuditLogRequest/AccessLogRequest/LogScrollRequest.
object
Aggregations provide summary/analytics data over the log response. If the number of logs that matched the query is large and cannot be returned in a single response message, user can GET helpful insights/summary using aggregations. The aggregation data is key’ed with the aggregation name specified in the request.
object
List of log messages that matched the query. Not all log messages that matched the query are returned in the response.
Long Base-64 encoded string which can be used to retrieve next batch of log messages using the scroll request. Empty scroll_id indicates no more messages to scroll (EOF). Note: scroll_id is valid only for 2 minutes. I.e., If one intend to retrieve next batch of the result, then the scroll request should be sent within 2 minutes upon receiving the LogResponse.
Total number of log messages that matched the query.
object
This is a unique UUID generated by elastic search.
Configuration parameter for last timestamp
Examplegenerated
{ "aggs": {}, "logs": [ "example" ], "scroll_id": "example", "total_hits": "example", "last_sort_values": { "last_doc_id": "example", "last_timestamp": 1 }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example